bullet_name1 = "bullet-ninjoo"
dofile_lua( bullet_name1 )
bullet_name2 = "missile-ninjoo"
dofile_lua( bullet_name2 )
bullet_name3 = "bullet-ninjoo"
dofile_lua( bullet_name3 )

-- leave me
	local actor = ACTOR_preload()
-- leave me

	actor[cp_actor_name]		= "ninjoo-1"
	actor[cp_model_dir]			= "beasties"
	actor[cp_model_name]		= "ninjoo-1"

	actor[cp_move_type]			= cmt_random + cmt_face_gamer + cmt_sidestep_bullet

	actor[cp_i_collide_with_beasties]	= cat_player + cat_fence
	actor[cp_hit_delay]			= 4.0
	actor[cp_hit_power]			= 5.0

	actor[cp_score]				= 1500

	-- movement
	actor[cp_move_speed_min]		= 0.6
	actor[cp_move_speed_max]		= 0.6
	actor[cp_move_acceleration]		= 10.0
	actor[cp_move_deceleration]		= 0.8
	actor[cp_move_inertia_accn]		= 0.85
	actor[cp_move_inertia_decn]		= 0.99

	actor[cp_target_stop_dist]		= 6.0

	actor[cp_turn_speed_still]			= 10.0
	actor[cp_turn_acceleration_still]	= 10.0
	actor[cp_turn_inertia_still]		= 0.8
	actor[cp_turn_speed_moving]			= 10.0
	actor[cp_turn_acceleration_moving]	= 10.0
	actor[cp_turn_inertia_moving]		= 0.8

	actor[cp_random_edge_inner_percent]	= 0.0
	actor[cp_random_edge_outer_percent]	= 50.0

	actor[cp_launch_hue_shift] = color

	actor[cp_launch_scale_min]		= 65.0
	actor[cp_launch_scale_max]		= 75.5

	actor[cp_random_offset_x]			= 10.0
	actor[cp_random_offset_z]			= 10.0

	actor[cp_random_trajectory_offset]				= 30.0
	actor[cp_random_trajectory_offset_delay_min]	= 0.1
	actor[cp_random_trajectory_offset_delay_max]	= 0.5

	actor[cp_health_percent]		= 300.0

	actor[cp_multiple_beast_shoot_rate]	= 40.0
	actor[cp_multiple_beast_base_num]	= 1.0

actor[cp_difficulty_adjust_speed] = 27.0
actor[cp_difficulty_adjust_shoot] = 50.0

--	actor[cp_weight]					= 0.1

-- turn rate to face player
	actor[cp_spin_speed_min]		= 1.5
	actor[cp_spin_speed_max]		= 3.0

	actor[cp_burst_length_min]		= 0.02
	actor[cp_burst_length_max]		= 0.1
	actor[cp_burst_delay_min]		= 2.0
	actor[cp_burst_delay_max]		= 4.0

-- leave me
	c_preload_model( actor )
-- leave me

	c_set_random_anim( "buzz", 100.0, 100.0, 0.1, 3.0 )
	c_set_random_anim( "wingflap", 120.0, 180.0, 0.0, 0.0 )
	c_set_random_anim( "eyepulse", 120.0, 180.0, 0.0, 0.0 )
	c_add_particle_to_anim( "wingflap", "wing1tip", "ninjoo-trail" )
	c_add_particle_to_anim( "wingflap", "wing2tip", "ninjoo-trail" )
	c_add_particle_to_anim( "emerge", "partbone", "ninjoo-emerge" )
	c_set_use_explosion_for( "bye_bye", "ninjoo-flash", exp_no_align, 0.0, 0.0, 6000.0, 6000.0, {0.0, 0.05, 0.1, 0.2} )
	c_add_particle_to_explosion( "ninjoo-flash", "explode", "", "ninjoo-flash" )

	c_add_sound_to_anim( "emerge", "ninjoo-emerge" )
	c_add_sound_to_anim( "buzz", "ninjoo-buzz" )

	c_add_sound_to_explosion( "ninjoo-flash", "explode", "ninjoo-exp" )
	c_add_sound_to_event( "hit_active_bone", "ninjoo-hit" )

	-- new state
	-- set new actor stuff
	-- send out
	c_set_trigger_state( "player_dist_less_than", 1000.0, 1000.0, actor )
	-- set new anims etc...

	local boo = WEAPON_preload( bullet_name2 )
	boo[w_gun_bone_name]		= "bgun1"
	boo[w_shaft_bone_name]		= "mainbone"
	boo[w_fire_anim_name]		= "fire"
	boo[w_flare_exp_name]		= "robo_yellow_flare"
	boo[w_flare_exp_scale]		= 600.0
	boo[w_gun_type]				= "fire_from_bone"
	boo[w_aim_delay]			= 1.0
	boo[w_bullet_scale]			= 30.0
	boo[w_barrel_offset]		= 0.0
	boo[w_no_shoot_dist]		= 9.0
	boo[w_no_shoot_angle]		= 0.0
	boo[w_reload_random]		= 0.0
	local seq = { 1.0 }
	WEAPON_add( boo, seq )

	local boo = WEAPON_preload( bullet_name2 )
	boo[w_gun_bone_name]		= "bgun2"
	boo[w_shaft_bone_name]		= "mainbone"
	boo[w_fire_anim_name]		= "fire"
	boo[w_flare_exp_name]		= "robo_yellow_flare"
	boo[w_flare_exp_scale]		= 600.0
	boo[w_gun_type]				= "fire_from_bone"
	boo[w_aim_delay]			= 1.0
	boo[w_bullet_scale]			= 30.0
	boo[w_barrel_offset]		= 0.0
	boo[w_no_shoot_dist]		= 9.0
	boo[w_no_shoot_angle]		= 0.0
	boo[w_reload_random]		= 0.0
	local seq = { 1.0 }
	WEAPON_add( boo, seq )
	-- new state


	-- new state
	-- set new actor stuff
	-- send out
	c_set_trigger_state( "player_dist_less_than", 50.0, 55.0, actor )
	-- set new anims etc...

	local boo = WEAPON_preload( bullet_name3 )
	boo[w_gun_bone_name]		= "mainbone"
	boo[w_shaft_bone_name]		= "mainbone"
	boo[w_fire_anim_name]		= "fire"
	boo[w_flare_exp_name]		= "robo_yellow_flare"
	boo[w_flare_exp_scale]		= 600.0
	boo[w_gun_type]				= "no_bone_aim"
	boo[w_aim_delay]			= 1.0
	boo[w_bullet_scale]			= 60.0
	boo[w_barrel_offset]		= 2.0
	boo[w_no_shoot_dist]		= 9.0
	boo[w_no_shoot_angle]		= 0.0
	boo[w_reload_random]		= 60.0
	local seq = { 0.75 }
	WEAPON_add( boo, seq )
	-- new state


	-- new state
	-- set new actor stuff
	-- send out
	c_set_trigger_state( "player_dist_less_than", 20.0, 25.0, actor )
	-- set new anims etc...

	local boo = WEAPON_preload( bullet_name1 )
	boo[w_gun_bone_name]		= "mainbone"
	boo[w_shaft_bone_name]		= "mainbone"
	boo[w_fire_anim_name]		= "fire"
	boo[w_flare_exp_name]		= "robo_yellow_flare"
	boo[w_flare_exp_scale]		= 600.0
	boo[w_gun_type]				= "no_bone_aim"
	boo[w_aim_delay]			= 1.0
	boo[w_bullet_scale]			= 50.0
	boo[w_barrel_offset]		= 2.0
	boo[w_no_shoot_dist]		= 9.0
	boo[w_no_shoot_angle]		= 0.0
	boo[w_reload_random]		= 10.0
	local seq = { 0.1 }
	WEAPON_add( boo, seq )
	-- new state
